aboutsummaryrefslogtreecommitdiffstats
path: root/framework/src/onos/tools/test/bin/onos-ssh
diff options
context:
space:
mode:
Diffstat (limited to 'framework/src/onos/tools/test/bin/onos-ssh')
-rwxr-xr-xframework/src/onos/tools/test/bin/onos-ssh11
1 files changed, 11 insertions, 0 deletions
diff --git a/framework/src/onos/tools/test/bin/onos-ssh b/framework/src/onos/tools/test/bin/onos-ssh
new file mode 100755
index 00000000..eb6b88e9
--- /dev/null
+++ b/framework/src/onos/tools/test/bin/onos-ssh
@@ -0,0 +1,11 @@
+#!/bin/bash
+# -----------------------------------------------------------------------------
+# Logs in to the remote ONOS node.
+# -----------------------------------------------------------------------------
+
+[ ! -d "$ONOS_ROOT" ] && echo "ONOS_ROOT is not defined" >&2 && exit 1
+. $ONOS_ROOT/tools/build/envDefaults
+. $ONOS_ROOT/tools/test/bin/find-node.sh
+
+[ -n "$1" ] && OCI=$(find_node $1) && shift
+ssh -Y $ONOS_USER@$OCI "$@"